<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetDefaultValueComponent Method (IEdmCardViewCallback6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmCardViewCallback6 Interface : GetDefaultValueComponent Method (IEdmCardViewCallback6)

Visual Basic
C#
C++/CLI

eValue
  Type of component for which to get a value as defined in EdmDefValComp

Called by the serial number generator to get the default value for the specified serial number component.

# Syntax

Visual Basic |
--- | ---

    Function GetDefaultValueComponent( _
       ByVal eValue As EdmDefValComp _
    ) As System.Object

C# |
--- | ---

    System.object GetDefaultValueComponent(
       EdmDefValComp eValue
    )

C++/CLI |
--- | ---

    System.Object^ GetDefaultValueComponent(
    &   EdmDefValComp eValue
    )

#### Parameters

eValue
  Type of component for which to get a value as defined in EdmDefValComp

#### Return Value

Default value

# Example

See the IEdmCardViewCallback6 examples.

# Remarks

The user can generate a new serial number value in a card by right-clicking in the edit box linked to the serial number and selecting New Serial Number from the context menu. The serial number generator calls this method if it needs additional information in order to create the serial number. Implement this method to override the default behavior.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmCardViewCallback6 Interface
IEdmCardViewCallback6 Members

# Availability

SOLIDWORKS PDM Professional Version 6.0